# $Revision: 1.23 $, $Date: 2011/01/24 02:36:09 $
%define		modname	rar
%define		status		stable
Summary:	%{modname} - read rar archives
Summary(pl.UTF-8):	%{modname} - odczyt archiwów rar
Name:		php-pecl-%{modname}
Version:	2.0.0
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	2bbd2fbcd7a08089e40191bb96181736
URL:		http://pecl.php.net/package/rar/
BuildRequires:	libstdc++-devel
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rar is a powerful and effective archiver, which was created by Eugene
Roshal and became rather popular quite fast. This extension gives you
possibility to read Rar archives.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rar to potężny i wydajny archiwizator. Został stworzony przez Eugene
Roshala i szybko zdobył popularność. Z pomocą tego rozszerzenia
możliwy jest odczyt archiwów Rar.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}*/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}
install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-rar.spec,v $
Revision 1.23  2011/01/24 02:36:09  sparky
- BR: libstdc++-devel

Revision 1.22  2010/12/11 21:38:26  arekm
- release 2

Revision 1.21  2010/06/02 14:24:35  glen
- damn, there is 2.0.0 release too, pldnotify.awk got it wrong

Revision 1.20  2010/06/02 14:23:17  glen
- 2.0.0b2

Revision 1.19  2009/04/26 17:17:17  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.18  2009/03/16 10:08:53  duddits
- up to 1.0.0

Revision 1.17  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.15  2007/01/02 20:03:33  glen
- use new php extension related macros

Revision 1.14  2006/12/13 23:16:08  glen
- rel 2 (php 5.2.0)

Revision 1.13  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.12  2006/09/02 19:12:48  adamg
- updated to 0.3.1

Revision 1.11  2006/06/21 19:05:57  adamg
- updated to 0.3.0

Revision 1.10  2005/12/22 12:12:04  glen
- rel 5 (rebuild with new php)

Revision 1.9  2005/10/30 13:29:27  glen
- rel 4

Revision 1.8  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.7  2005/09/14 22:33:05  glen
- rel 2

Revision 1.6  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.5  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.4  2004/12/05 14:44:01  adamg
- updated to 0.2

Revision 1.3  2004/08/07 18:52:11  adamg
- uh-oh, fixed %files

Revision 1.2  2004/08/07 18:17:17  adamg
- few typos fixed
- proper URL
- cut off template changelog

Revision 1.1  2004/08/07 18:14:42  adamg
- new
